#==================================================
#Makefile for xUA Test. 
#Created by YiZane in 2006/5/17
#==================================================

CC=gcc -c -Wall -g
#CC=gcc -c -Wall -g -D_testISDN
LINK=gcc -Wall -g
LINK_FLAGS=-L../../m2ua -lm2ua -L../../snmp -lsnmp -L../../debug -ldebug -L../../sccp -lsccp -L../../iptrans -liptrans -L../../public -lpublic -lLiS -lm
OBJ=xuatest.o

xuatest:xuatest.o $(OBJ)
	@echo Linking $@
	$(LINK) -o $@ $(OBJ) $(LINK_FLAGS)
	#./xuatest

xuatest.o:xuatest.c
	$(CC) xuatest.c
clean:
	rm -rf *.o *.a xuatest

